package com.zhongzheng.modules.course.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.zhongzheng.modules.course.bo.CourseChapterSectionAddBo;
import com.zhongzheng.modules.course.bo.CourseChapterSectionEditBo;
import com.zhongzheng.modules.course.bo.CourseChapterSectionQueryBo;
import com.zhongzheng.modules.course.bo.CourseMenuQueryBo;
import com.zhongzheng.modules.course.domain.CourseChapterSection;
import com.zhongzheng.modules.course.vo.CourseChapterSectionVo;
import com.zhongzheng.modules.course.vo.CourseUserChapterSectionVo;

import java.util.Collection;
import java.util.List;

/**
 * 章与节关系Service接口
 *
 * @author hjl
 * @date 2021-10-12
 */
public interface ICourseChapterSectionService extends IService<CourseChapterSection> {
	/**
	 * 查询单个
	 * @return
	 */
	CourseChapterSectionVo queryById(Long id);

	List<CourseChapterSectionVo> getListById(Long id);

	Long getListTotalTime(Long id);

	/**
	 * 查询列表
	 */
	List<CourseChapterSectionVo> queryList(CourseChapterSectionQueryBo bo);

	/**
	 * 根据新增业务对象插入章与节关系
	 * @param bo 章与节关系新增业务对象
	 * @return
	 */
	Boolean insertByAddBo(CourseChapterSectionAddBo bo);

	/**
	 * 根据编辑业务对象修改章与节关系
	 * @param bo 章与节关系编辑业务对象
	 * @return
	 */
	Boolean updateByEditBo(CourseChapterSectionEditBo bo);

	/**
	 * 校验并删除数据
	 * @param ids 主键集合
	 * @param isValid 是否校验,true-删除前校验,false-不校验
	 * @return
	 */
	Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<CourseUserChapterSectionVo> sectionList(CourseMenuQueryBo bo);
}
